
/* ======================== */
/* ---> SLIDER <----------- */
/* _________________________*/
#top-section { 
    padding-bottom: 20px;
    height: auto;
    // Text Section SLider for mobile
    #header-text-mobile {display: none;}
    // IMAGE SLIDER //
    #slider {
        width: 100%;
        overflow: hidden;
        margin:auto;
        figure {
            position: relative;
            top: 100px;
            width: 300%;
            margin: 0; padding: 0; 
            font-size: 0;
            text-align: left;
            
            animation: 30s slidy infinite;
                -webkit-animation: 30s slidy infinite;
                -moz-animation: 30s slidy infinite;
                -o-animation: 30s slidy infinite;
                -ms-animation: 30s slidy infinite;
            
            img {
                width: 33.333%;
                height: 840px;
                float: left;
            }
        }
        #header-text-desktop {
            position: absolute;
            top: 29%;
            left: 8%;
            color: $white;
            h1 {
                font-size: 2.9em;
                letter-spacing: 0.0003em;
                line-height: 50px;
                text-transform: uppercase;
                margin-bottom: 10px;            
                span { color: $light-blue; }
            }
            p { 
                font-size: 1.2em; margin-left: 1px; margin-bottom: 15px;  line-height: 25px; 
            }                   
            form {
                #btn-slider {
                    font-family: sans-serif;
                    background-color: $light-blue;
                    color: $white;
                    border-color: $dark-blue;
                    border-radius: 3px;
                    height: 45px;
                    width: 140px;
                    font-size: 1.1em; 
                    font-weight: 700;
                    margin: 10px 1px 0 0;

                    a {
                        color: inherit;
                        text-decoration: none;
                    }

                    &:hover {
                        background-color: $dark-blue;
                        color: $white;
                        border: 3px solid  $light-blue;
                    }
                }
            }     
        }
        #control-left, #control-right {
            width: 50px; 
            height: 70px;            
            position: absolute; 
            top: 42%;
            display: flex; 
            justify-content: center;
            align-items: center;           
            color: $white;            
            background-color: rgba(0, 0, 0, 0.5);
        }
        #control-left {border-radius: 0 40px 40px 0; left: 0;}
        #control-right {border-radius: 40px 0 0 40px ; right: 0;}
    }
    /* Mise en place de la TimeLine */
    #slider:after {
    position: absolute;
    top: 840px; left:0;
    content: " ";
    width: 100%;
    height: 5px;
    background: #999;
    }

    #timeline {
    position: absolute;
    top: 840px; left: 1px;
    height: 5px;
    background: rgb(52,152,219);
    background: rgba(52,152,219, .8);
    width: 0;

    animation:              timeliner 32s infinite;
        -webkit-animation:  timeliner 32s infinite;
        -moz-animation:     timeliner 32s infinite;
        -o-animation:       timeliner 32s infinite;
        -ms-animation:      timeliner 32s infinite;
    
    }
    .blank { 
        height: 120px;
    }
}

    //====================================== //
    // =========> MEDIA QUERIES <=========== //
    //====================================== //
@media only screen and (max-width: 1440px)   {
    #top-section {
        #slider {
            figure { img {height: 670px;  }  }
            #control-left, #control-right {top: 45%; }
        }
        #slider:after {top: 670px; }#timeline {top: 670px;}
    }
}
@media only screen and (max-width: 1280px) {
    #top-section { 
        #slider {
            figure {
                img {
                    height: 700px;
                }
            }
            margin-bottom: 35px;
        }
        #slider:after {top: 700px; }
        #timeline { top: 700px;}
    }
}
@media only screen and (max-width: 968px) {
    #top-section {
        #slider {
            figure {
                img {
                    height: 700px;
                }
            }
        }
        #slider:after {top: 700px; }
        #timeline { top: 700px;}
    }
}
@media only screen and (max-width: 780px) {
    #top-section { margin-bottom: 50px;
        #slider {
            figure { img {height: 480px;} }
            #control-left, #control-right {display: none !important;}
            #header-text-desktop {display: none;}
        }
        #slider:after {top: 480px; }
        #timeline { top: 480px;}
        #header-text-mobile  {
            display: block;
            color: $gray-header-text-mobile;
            text-align: center;
            position: relative;
            top: 55px;

            h1 {
                font-size: 1.5em;
                line-height: 1.5em;
                text-transform: uppercase;
                letter-spacing: 0.0003em;
                margin-top: 30px;
            
                span {
                    color: $light-blue; 
                }
            }

            p { 
                font-size: 1.2em; 
                margin: 15px auto;  
                line-height: 25px; 
            }
            form { 
                      
                #btn-slider-2 {
                    font-family: roboto;
                    background-color: $light-blue;
                    color: $white;
                    border-color: $dark-blue;
                    border-radius: 3px;
                    height: 45px;
                    width: 140px;
                    font-size: 1.1em; 
                    font-weight: 700;
                    margin: 10px 0 0 0;
                }    
            }
        }
    }
}
@media only screen and (max-width: 480px) {
   #top-section { 
        #slider {
            figure {
                img {height: 370px;}
            }  
        } 
        #slider:after {top: 370px; }#timeline {top: 370px;}
    }
}
@media only screen and (max-width: 320px) {
    #top-section { 
        #slider {
            figure { img { height: 250px; } }
        }
        #slider:after {top: 250px; }#timeline {top: 250px;}
    }
}




